# Copyright, Linaro Ltd, 2023
# SPDX-License-Identifier: BSD-3-Clause
include(`util/util.m4') dnl
dnl AR_PCM_PLAYBACK(index, formats, rate_min, rate_max, ch_min, ch_max)
define(`AR_PCM_PLAYBACK',
`'
`SectionPCMCapabilities."MultiMedia$1 Playback" {'
`        formats STR($2)'
`        rate_min STR($3)'
`        rate_max STR($4)'
`        channels_min STR($5)'
`        channels_max STR($6)'
`}'
`'
`SectionPCM."MultiMedia$1 Playback" {'
`'
`        index STR($1)'
`'
`        # used for binding to the PCM'
`        id STR($1)'
`'
`        dai."MultiMedia$1 Playback" {'
`                id STR($1)'
`        }'
`'
`        pcm."playback" {'
`                capabilities "MultiMedia$1 Playback"'
`        }'
`}') dnl
dnl
dnl AR_PCM_CAPTURE(index, formats, rate_min, rate_max, ch_min, ch_max)
define(`AR_PCM_CAPTURE',
`'
`SectionPCMCapabilities."MultiMedia$1 Capture" {'
`'
`        formats STR($2)'
`        rate_min STR($3)'
`        rate_max STR($4)'
`        channels_min STR($5)'
`        channels_max STR($6)'
`}'
`'
`SectionPCM."MultiMedia$1 Capture" {'
`'
`        index STR($1)'
`'
`        # used for binding to the PCM'
`        id STR($1)'
`'
`        dai."MultiMedia$1 Capture" {'
`                id STR($1)'
`        }'
`'
`        pcm."capture" {'
`                capabilities "MultiMedia$1 Capture"'
`        }'
`}')
dnl AR_COMPESS_PLAYBACK(index, formats, rate_min, rate_max, ch_min, ch_max)
define(`AR_COMPESS_PLAYBACK',
`'
`SectionPCMCapabilities."MultiMedia$1 Playback" {'
`        formats STR($2)'
`        rate_min STR($3)'
`        rate_max STR($4)'
`        channels_min STR($5)'
`        channels_max STR($6)'
`}'
`'
`SectionPCM."MultiMedia$1 Playback" {'
`'
`        index STR($1)'
`        compress "true"'
`'
`        # used for binding to the PCM'
`        id STR($1)'
`'
`        dai."MultiMedia$1 Playback" {'
`                id STR($1)'
`        }'
`'
`        pcm."playback" {'
`                capabilities "MultiMedia$1 Playback"'
`        }'
`}') dnl
dnl
